--- a/GConf.spec	2023-11-13 06:07:52.489195620 +0300
+++ b/GConf.spec	2023-11-13 06:07:52.523195233 +0300
@@ -181,7 +181,7 @@
 %patch5 -p1
 
 # disable localization for gconfd
-%__subst 's,\(setlocale (.* \"\),\1C,' gconf/gconfd.c
+sed -i 's,\(setlocale (.* \"\),\1C,' gconf/gconfd.c
 
 %build
 %add_optflags %(getconf LFS_CFLAGS)
--- a/alterator-fbi.spec	2023-11-13 06:07:53.207187405 +0300
+++ b/alterator-fbi.spec	2023-11-13 06:07:53.237187063 +0300
@@ -71,14 +71,14 @@
 %makeinstall HTMLROOT=%buildroot%_var/www/ unitdir=%buildroot%_unitdir
 
 #ahttpd
-%__install -d %buildroot%_var/run/ahttpd
-%__install -d %buildroot%_logdir/ahttpd
-%__install -Dpm640 ahttpd.logrotate %buildroot/%_sysconfdir/logrotate.d/ahttpd
-%__install -Dpm644 ahttpd.conf %buildroot%_sysconfdir/ahttpd/ahttpd.conf
-%__install -Dpm644 acl.conf %buildroot%_sysconfdir/ahttpd/acl.conf
-%__install -Dpm755 ahttpd.init %buildroot/%_initrddir/ahttpd
-%__install -d %buildroot/%_cachedir/ahttpd
-%__install -d %buildroot/
+install -d %buildroot%_var/run/ahttpd
+install -d %buildroot%_logdir/ahttpd
+install -Dpm640 ahttpd.logrotate %buildroot/%_sysconfdir/logrotate.d/ahttpd
+install -Dpm644 ahttpd.conf %buildroot%_sysconfdir/ahttpd/ahttpd.conf
+install -Dpm644 acl.conf %buildroot%_sysconfdir/ahttpd/acl.conf
+install -Dpm755 ahttpd.init %buildroot/%_initrddir/ahttpd
+install -d %buildroot/%_cachedir/ahttpd
+install -d %buildroot/
 
 #ssl
 touch %buildroot%_sysconfdir/ahttpd/ahttpd.cnf
--- a/burp.spec	2023-11-13 06:07:55.187164755 +0300
+++ b/burp.spec	2023-11-13 06:07:55.210164492 +0300
@@ -62,7 +62,7 @@
 %makeinstall_std install-all
 install -D -p -m 0755 .gear/burp.init %buildroot%_initrddir/burp-server
 install -D -p -m 0644 .gear/burp.service %buildroot%_unitdir/burp-server.service
-%__subst "s,password,#password,g" %buildroot%_sysconfdir/burp/clientconfdir/testclient
+sed -i "s,password,#password,g" %buildroot%_sysconfdir/burp/clientconfdir/testclient
 
 %check
 if ! %make_build check; then
--- a/fonts-ttf-xorg.spec	2023-11-13 06:07:58.504126807 +0300
+++ b/fonts-ttf-xorg.spec	2023-11-13 06:07:58.534126465 +0300
@@ -33,13 +33,13 @@
 %setup -q -n font-bh-ttf-%version
 
 %install
-%__mkdir_p %buildroot%_fontsdir/TTF
-%__install -m644 *.ttf %buildroot%_fontsdir/TTF/
+mkdir -p %buildroot%_fontsdir/TTF
+install -m644 *.ttf %buildroot%_fontsdir/TTF/
 mkfontscale %buildroot%_fontsdir/TTF
 mkfontdir %buildroot%_fontsdir/TTF
 
-%__mkdir_p %buildroot%_sysconfdir/X11/fontpath.d
-%__ln_s ../../..%_fontsdir/TTF %buildroot%_sysconfdir/X11/fontpath.d/ttf-TTF:pri=50
+mkdir -p %buildroot%_sysconfdir/X11/fontpath.d
+ln -s ../../..%_fontsdir/TTF %buildroot%_sysconfdir/X11/fontpath.d/ttf-TTF:pri=50
 
 %triggerun -- %name <= 1:1.0.0-alt1
 if [ -x %_sbindir/chkfontpath -a -f %_sysconfdir/X11/fs/config ]; then
--- a/gcc4.spec	2023-11-13 06:07:59.363116982 +0300
+++ b/gcc4.spec	2023-11-13 06:07:59.524115140 +0300
@@ -901,7 +901,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc4.spec	2023-11-13 06:07:59.605114213 +0300
+++ b/gcc4.spec	2023-11-13 06:07:59.769112336 +0300
@@ -916,7 +916,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc4.spec	2023-11-13 06:07:59.862111272 +0300
+++ b/gcc4.spec	2023-11-13 06:08:00.027109384 +0300
@@ -910,7 +910,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc4.spec	2023-11-13 06:08:00.169107760 +0300
+++ b/gcc4.spec	2023-11-13 06:08:00.359105586 +0300
@@ -1060,7 +1060,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%gcc_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc4.spec	2023-11-13 06:08:00.443104627 +0300
+++ b/gcc4.spec	2023-11-13 06:08:00.641102361 +0300
@@ -1107,7 +1107,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%gcc_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc.spec	2023-11-13 06:08:00.725101400 +0300
+++ b/gcc.spec	2023-11-13 06:08:00.932099030 +0300
@@ -1211,7 +1211,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%gcc_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc.spec	2023-11-13 06:08:01.019098036 +0300
+++ b/gcc.spec	2023-11-13 06:08:01.241095496 +0300
@@ -1283,7 +1283,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%gcc_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/havp.spec	2023-11-13 06:08:02.294083449 +0300
+++ b/havp.spec	2023-11-13 06:08:02.319083163 +0300
@@ -55,19 +55,19 @@
 
 %install
 %make DESTDIR=%buildroot install
-%__mkdir_p %buildroot%_logdir/%name
-%__mkdir_p %buildroot%_spooldir/%name
-%__mkdir_p %buildroot%_var/run/%name
-%__mkdir_p %buildroot%_initrddir
-%__mkdir_p %buildroot%_sysconfdir/logrotate.d
+mkdir -p %buildroot%_logdir/%name
+mkdir -p %buildroot%_spooldir/%name
+mkdir -p %buildroot%_var/run/%name
+mkdir -p %buildroot%_initrddir
+mkdir -p %buildroot%_sysconfdir/logrotate.d
 
 
-%__install -p -m 755 %SOURCE1  %buildroot%_initrddir/havp
-%__install -p -m 640 etc/havp/havp.config %buildroot%_sysconfdir/%name/havp.config
-%__install -p -m 640 %SOURCE2  %buildroot%_sysconfdir/%name/spool_disk.config
-%__install -p -m 644 %SOURCE3  README.ALT
+install -p -m 755 %SOURCE1  %buildroot%_initrddir/havp
+install -p -m 640 etc/havp/havp.config %buildroot%_sysconfdir/%name/havp.config
+install -p -m 640 %SOURCE2  %buildroot%_sysconfdir/%name/spool_disk.config
+install -p -m 644 %SOURCE3  README.ALT
 
-%__cat << EOF > %buildroot%_sysconfdir/logrotate.d/havp
+cat << EOF > %buildroot%_sysconfdir/logrotate.d/havp
 /var/log/havp/access.log {
     create 644 root havp
     weekly
--- a/java-17-openjdk.spec	2023-11-13 06:08:03.167073461 +0300
+++ b/java-17-openjdk.spec	2023-11-13 06:08:03.401070785 +0300
@@ -930,8 +930,8 @@
 %if_with fresh_libjvm
 tar xf %{SOURCE1}
 mkdir -p %{bootjdk}
-%__cp -af bootstrap/noarch/* %{bootjdk}
-%__cp -af bootstrap/%archinstall/* %{bootjdk}
+cp -af bootstrap/noarch/* %{bootjdk}
+cp -af bootstrap/%archinstall/* %{bootjdk}
 %endif
 
 # OpenJDK patches
--- a/lightsquid.spec	2023-11-13 06:08:16.324922931 +0300
+++ b/lightsquid.spec	2023-11-13 06:08:16.352922611 +0300
@@ -39,55 +39,55 @@
 %prep
 %setup -n %name-%version
 
-%__subst "s|/var/www/html/lightsquid/lang|%_datadir/%name/lang|g"  lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/tpl|%_datadir/%name/tpl|g" lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/ip2name|%_datadir/%name/ip2name|g" lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/report|%_localstatedir/%name|g" lightsquid.cfg
-%__subst "s|\$cfgpath             =\"/var/www/html/lightsquid|\$cfgpath             =\"%lightsquid_confdir|g" lightsquid.cfg
-%__subst "s|\$lockpath            =\$reportpath|\$lockpath            =\"%_lockdir/%name\"|g" lightsquid.cfg
-%__subst 's|require "ip2name|require "$ip2namepath|g' lightparser.pl
-%__subst "s|lightsquid.cfg|%lightsquid_confdir/lightsquid.cfg|g" *.cgi *.pl
-%__subst "s|common.pl|%_datadir/%name/common.pl|g" *.cgi *.pl
-%__subst "s|/etc/squid/users.txt|/etc/lightsquid/users.txt|g" ip2name/ip2name.*
+sed -i "s|/var/www/html/lightsquid/lang|%_datadir/%name/lang|g"  lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/tpl|%_datadir/%name/tpl|g" lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/ip2name|%_datadir/%name/ip2name|g" lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/report|%_localstatedir/%name|g" lightsquid.cfg
+sed -i "s|\$cfgpath             =\"/var/www/html/lightsquid|\$cfgpath             =\"%lightsquid_confdir|g" lightsquid.cfg
+sed -i "s|\$lockpath            =\$reportpath|\$lockpath            =\"%_lockdir/%name\"|g" lightsquid.cfg
+sed -i 's|require "ip2name|require "$ip2namepath|g' lightparser.pl
+sed -i "s|lightsquid.cfg|%lightsquid_confdir/lightsquid.cfg|g" *.cgi *.pl
+sed -i "s|common.pl|%_datadir/%name/common.pl|g" *.cgi *.pl
+sed -i "s|/etc/squid/users.txt|/etc/lightsquid/users.txt|g" ip2name/ip2name.*
 
 iconv -f WINDOWS-1251 -t UTF8 lang/ru.lng > lang/ru-utf8.lng
-%__subst "s|windows-1251|utf8|g" lang/ru-utf8.lng
+sed -i "s|windows-1251|utf8|g" lang/ru-utf8.lng
 
 	
 %install
-%__mkdir_p %buildroot%_sbindir
-%__mkdir_p %buildroot%lightsquid_confdir
-%__mkdir_p %buildroot%_sysconfdir/cron.d
-%__mkdir_p %buildroot%_datadir/%name/{lang,ip2name,tpl}
-%__mkdir_p %buildroot%_localstatedir/%name
-%__mkdir_p %buildroot%lightdir
-%__mkdir_p %buildroot%_lockdir/%name
+mkdir -p %buildroot%_sbindir
+mkdir -p %buildroot%lightsquid_confdir
+mkdir -p %buildroot%_sysconfdir/cron.d
+mkdir -p %buildroot%_datadir/%name/{lang,ip2name,tpl}
+mkdir -p %buildroot%_localstatedir/%name
+mkdir -p %buildroot%lightdir
+mkdir -p %buildroot%_lockdir/%name
 
 # install bin
-%__install -p -m 755 lightparser.pl %buildroot%_sbindir/
+install -p -m 755 lightparser.pl %buildroot%_sbindir/
 
 # install configs
-%__install -p -m 644 lightsquid.cfg %buildroot%lightsquid_confdir/lightsquid.cfg
-%__install -p -m 644 group.cfg.src %buildroot%lightsquid_confdir/group.cfg
-%__install -p -m 644 realname.cfg %buildroot%lightsquid_confdir/realname.cfg
+install -p -m 644 lightsquid.cfg %buildroot%lightsquid_confdir/lightsquid.cfg
+install -p -m 644 group.cfg.src %buildroot%lightsquid_confdir/group.cfg
+install -p -m 644 realname.cfg %buildroot%lightsquid_confdir/realname.cfg
 
 # install cron
-%__cat << EOF > %buildroot%_sysconfdir/cron.d/lightsquid
+cat << EOF > %buildroot%_sysconfdir/cron.d/lightsquid
 55 * * * *     lightsquid /usr/sbin/lightparser.pl today
 EOF
 
 
 # install lib
-%__install -p -m 644 common.pl %buildroot%_datadir/%name/
-%__install -p -m 755 check-setup.pl %buildroot%_datadir/%name/
-%__install -p -m 644 lang/[^A-Z]*.lng %buildroot%_datadir/%name/lang/
-%__install -p -m 644 ip2name/[^A-Z]* %buildroot%_datadir/%name/ip2name/
-%__cp -aRf tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
-##%__install -p -m 644 tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
+install -p -m 644 common.pl %buildroot%_datadir/%name/
+install -p -m 755 check-setup.pl %buildroot%_datadir/%name/
+install -p -m 644 lang/[^A-Z]*.lng %buildroot%_datadir/%name/lang/
+install -p -m 644 ip2name/[^A-Z]* %buildroot%_datadir/%name/ip2name/
+cp -aRf tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
+##install -p -m 644 tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
 
 # install web
-#%__install -p -m 644 .htaccess %buildroot%apache_home/%name/
-%__install -p -m 755 [^A-Z]*.cgi %buildroot%apache_home/%name/
+#install -p -m 644 .htaccess %buildroot%apache_home/%name/
+install -p -m 755 [^A-Z]*.cgi %buildroot%apache_home/%name/
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
--- a/mkai.spec	2023-11-13 06:08:17.048914648 +0300
+++ b/mkai.spec	2023-11-13 06:08:17.071914385 +0300
@@ -26,12 +26,12 @@
 %setup
 
 %install
-%__install -d %buildroot/%_localstatedir/%name
+install -d %buildroot/%_localstatedir/%name
 for i in scripts/* ;do
-%__install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
+install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
 done
 
-%__install -d %buildroot/%_sysconfdir/%name
+install -d %buildroot/%_sysconfdir/%name
 cp -a etc/* %buildroot/%_sysconfdir/%name
 
 %pre
--- a/mknfsroot.spec	2023-11-13 06:08:17.121913814 +0300
+++ b/mknfsroot.spec	2023-11-13 06:08:17.156913412 +0300
@@ -26,12 +26,12 @@
 %setup
 
 %install
-%__install -d %buildroot/%_localstatedir/%name
+install -d %buildroot/%_localstatedir/%name
 for i in scripts/* ;do
-%__install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
+install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
 done
 
-%__install -d %buildroot/%_sysconfdir/%name
+install -d %buildroot/%_sysconfdir/%name
 cp -a etc/* %buildroot/%_sysconfdir/%name
 
 %pre
--- a/mrtg.spec	2023-11-13 06:08:18.085902786 +0300
+++ b/mrtg.spec	2023-11-13 06:08:18.120902385 +0300
@@ -50,57 +50,57 @@
 find . -name "*.orig" -print0 -exec rm -f \{\} \; \
  > /dev/null
 
-%__cp -p %SOURCE8 .
+cp -p %SOURCE8 .
 
-%__mv -f COPYING COPYING.orig
-%__ln_s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING
+mv -f COPYING COPYING.orig
+ln -s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING
 
 %build
 %configure
 %make_build
 
-find contrib -type f -print0 -exec %__perl -pi \
+find contrib -type f -print0 -exec perl -pi \
  -e 's;^#!/.*/perl.*;#!/usr/bin/perl;gi' \{\} \; \
  > /dev/null
 
-find contrib -type f -print0 -exec %__perl -pi \
+find contrib -type f -print0 -exec perl -pi \
  -e 's;/usr/local/bin/;/usr/bin/;gi' \{\} \; \
  > /dev/null
 
-find contrib -type f -print0 -exec %__perl -pi \
+find contrib -type f -print0 -exec perl -pi \
  -e 's;/usr/local/mrtg/(bin/)?mrtg;/usr/bin/mrtg;gi' \{\} \; \
  > /dev/null
 
-find . -name "*.pl" -print0 -exec %__perl -pi -e 's;\015;;gi' \{\} \; \
+find . -name "*.pl" -print0 -exec perl -pi -e 's;\015;;gi' \{\} \; \
  > /dev/null
 
 #tar -cf - contrib | gzip -9nf > contrib.tar.gz
 
 %install
 %make_install DESTDIR=%buildroot install
-%__rm -rf %buildroot{%_docdir,%_datadir}/mrtg2
+rm -rf %buildroot{%_docdir,%_datadir}/mrtg2
 
 # another try to work around x86_64
 if [ "%_libdir" == "/usr/lib64" ]; then
-	%__mkdir -p %buildroot/usr/lib
-	%__mv %buildroot%_libdir/mrtg2 %buildroot/usr/lib
-	%__rm -rf %buildroot%_libdir
+	mkdir -p %buildroot/usr/lib
+	mv %buildroot%_libdir/mrtg2 %buildroot/usr/lib
+	rm -rf %buildroot%_libdir
 fi
 
 # get rid of a copy of standard Pod perl modules
-%__rm -rf %buildroot%_libmrtg/Pod
+rm -rf %buildroot%_libmrtg/Pod
 
-%__mkdir -p %buildroot{%_sysconfdir/%name,%_sysconfdir/cron.d,%_contentdir/images,%_libmrtg/helpers,%_localstatedir/%name}
+mkdir -p %buildroot{%_sysconfdir/%name,%_sysconfdir/cron.d,%_contentdir/images,%_libmrtg/helpers,%_localstatedir/%name}
 
-%__install -m 644 images/* %buildroot%_contentdir/images
-%__install -m 644 %SOURCE1 %buildroot%_sysconfdir/%name
-%__install -m 640 %SOURCE4 %buildroot%_sysconfdir/cron.d/%name
+install -m 644 images/* %buildroot%_contentdir/images
+install -m 644 %SOURCE1 %buildroot%_sysconfdir/%name
+install -m 640 %SOURCE4 %buildroot%_sysconfdir/cron.d/%name
 
-%__install -m 755 %SOURCE5 %buildroot/%_libmrtg/helpers/iptables-accounting.pl
-%__install -m 644 %SOURCE6 %buildroot%_sysconfdir/%name
-%__install -m 755 %SOURCE7 %buildroot/%_libmrtg/helpers/cpuinfo.pl
+install -m 755 %SOURCE5 %buildroot/%_libmrtg/helpers/iptables-accounting.pl
+install -m 644 %SOURCE6 %buildroot%_sysconfdir/%name
+install -m 755 %SOURCE7 %buildroot/%_libmrtg/helpers/cpuinfo.pl
 
-%__cp -r contrib %buildroot%_libmrtg/
+cp -r contrib %buildroot%_libmrtg/
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
--- a/nvidia_glx_common.spec	2023-11-13 06:08:19.351888302 +0300
+++ b/nvidia_glx_common.spec	2023-11-13 06:08:19.397887776 +0300
@@ -178,29 +178,29 @@
 
 
 %install
-%__mkdir_p %buildroot/%module_local_dir
-%__mkdir_p %buildroot/sbin
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%x_etclib_sym_dir
-%__mkdir_p %buildroot/%nv_etclib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia
-%__mkdir_p %buildroot/%x11_lib_dir/vdpau
-%__mkdir_p %buildroot/%x11_lib_dir/gbm
-#%__mkdir_p %buildroot/lib/firmware/nvidia
+mkdir -p %buildroot/%module_local_dir
+mkdir -p %buildroot/sbin
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%x_etclib_sym_dir
+mkdir -p %buildroot/%nv_etclib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia
+mkdir -p %buildroot/%x11_lib_dir/vdpau
+mkdir -p %buildroot/%x11_lib_dir/gbm
+#mkdir -p %buildroot/lib/firmware/nvidia
 
 # prompt user to don't use nvidia-installer
 mkdir -p %buildroot/usr/lib/nvidia/
@@ -210,48 +210,48 @@
 install -m 0755 %SOURCE3 %buildroot/%_bindir/
 install -m 0755 %SOURCE4 %buildroot/%_bindir/
 
-%__install -m 0755 set_gl_nvidia/nvidia %buildroot/%xdrv_d/nvidia
-#%__ln_s ../../../..%xdrv_d/nvidia %buildroot/%xdrv_d_old/nvidia
-%__install -m 0755 set_gl_nvidia/nvidia_preset %buildroot/%xdrv_pre_d/nvidia
-%__install -m 0755 device-create/ub-device-create %buildroot/sbin/ub-device-create
-%__install -m 0644 libnvidianull.so %buildroot/%x11_lib_dir/
-
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libvdpau_nvidia.so
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-cfg.so.1
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libEGL_nvidia.so.0
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv2_nvidia.so.2
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLX_nvidia.so.0
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-allocator.so.1
-%__ln_s `relative %x11driver_dir %_sysconfdir/libnvidiacurrent` %buildroot/%_sysconfdir/libnvidiacurrent
-%__ln_s `relative %_sysconfdir/libnvidiacurrent %nv_etclib_sym_dir/current` %buildroot/%nv_etclib_sym_dir/current
+install -m 0755 set_gl_nvidia/nvidia %buildroot/%xdrv_d/nvidia
+#ln -s ../../../..%xdrv_d/nvidia %buildroot/%xdrv_d_old/nvidia
+install -m 0755 set_gl_nvidia/nvidia_preset %buildroot/%xdrv_pre_d/nvidia
+install -m 0755 device-create/ub-device-create %buildroot/sbin/ub-device-create
+install -m 0644 libnvidianull.so %buildroot/%x11_lib_dir/
+
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libvdpau_nvidia.so
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-cfg.so.1
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libEGL_nvidia.so.0
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv2_nvidia.so.2
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLX_nvidia.so.0
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-allocator.so.1
+ln -s `relative %x11driver_dir %_sysconfdir/libnvidiacurrent` %buildroot/%_sysconfdir/libnvidiacurrent
+ln -s `relative %_sysconfdir/libnvidiacurrent %nv_etclib_sym_dir/current` %buildroot/%nv_etclib_sym_dir/current
 %if "%_lib" == "lib64"
-%__ln_s `relative %x11driver_dir %_sysconfdir/libnvidia32current` %buildroot/%_sysconfdir/libnvidia32current
-%__ln_s `relative %_sysconfdir/libnvidia32current %nv_lib32_sym_dir/current` %buildroot/%nv_lib32_sym_dir/current
+ln -s `relative %x11driver_dir %_sysconfdir/libnvidia32current` %buildroot/%_sysconfdir/libnvidia32current
+ln -s `relative %_sysconfdir/libnvidia32current %nv_lib32_sym_dir/current` %buildroot/%nv_lib32_sym_dir/current
 %endif
 
-%__ln_s ../../..%nv_etclib_sym_dir/libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so
-%__ln_s libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libnvidia-cfg.so.1 %buildroot/%x11_lib_dir/libnvidia-cfg.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libEGL_nvidia.so.0 %buildroot/%x11_lib_dir/libEGL_nvidia.so.0
-%__ln_s ../..%nv_etclib_sym_dir/libGLESv2_nvidia.so.2 %buildroot/%x11_lib_dir/libGLESv2_nvidia.so.2
-%__ln_s ../..%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1 %buildroot/%x11_lib_dir/libGLESv1_CM_nvidia.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libGLX_nvidia.so.0 %buildroot/%x11_lib_dir/libGLX_nvidia.so.0
-%__ln_s ../..%nv_etclib_sym_dir/libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/libnvidia-allocator.so.1
-%__ln_s ../libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/gbm/nvidia-drm_gbm.so
+ln -s ../../..%nv_etclib_sym_dir/libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so
+ln -s libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so.1
+ln -s ../..%nv_etclib_sym_dir/libnvidia-cfg.so.1 %buildroot/%x11_lib_dir/libnvidia-cfg.so.1
+ln -s ../..%nv_etclib_sym_dir/libEGL_nvidia.so.0 %buildroot/%x11_lib_dir/libEGL_nvidia.so.0
+ln -s ../..%nv_etclib_sym_dir/libGLESv2_nvidia.so.2 %buildroot/%x11_lib_dir/libGLESv2_nvidia.so.2
+ln -s ../..%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1 %buildroot/%x11_lib_dir/libGLESv1_CM_nvidia.so.1
+ln -s ../..%nv_etclib_sym_dir/libGLX_nvidia.so.0 %buildroot/%x11_lib_dir/libGLX_nvidia.so.0
+ln -s ../..%nv_etclib_sym_dir/libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/libnvidia-allocator.so.1
+ln -s ../libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/gbm/nvidia-drm_gbm.so
 
 
 # nvidia_drv.o
 if false ; then
-    %__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.o
-    %__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_dir/nvidia_drv.o
-    #%__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_old/nvidia_drv.o
+    ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.o
+    ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_dir/nvidia_drv.o
+    #ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_old/nvidia_drv.o
 fi
 # nvidia_drv.so
 if true ; then
-    %__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.so
-    %__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_dir/nvidia_drv.so
-    #%__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_old/nvidia_drv.so
+    ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.so
+    ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_dir/nvidia_drv.so
+    #ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_old/nvidia_drv.so
 fi
 
 
--- a/nvidia_glx_src.spec	2023-11-13 06:08:19.451887159 +0300
+++ b/nvidia_glx_src.spec	2023-11-13 06:08:19.495886655 +0300
@@ -208,74 +208,74 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 # install libraries
-%__install -m 0644 libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 libnvidia-glcore.so.%tbver %buildroot/%_libdir/
 %if_enabled egl
-%__install -m 0644 libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 libnvidia-glsi.so.%tbver %buildroot/%_libdir/
 %endif
-%__install -m 0644 tls/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 tls/libnvidia-tls.so.%tbver %buildroot/%_libdir/
 
-%__ln_s %nv_lib_dir/nvidia.xinf %buildroot/%nv_lib_sym_dir/nvidia.xinf
-%__ln_s %nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
-%__install -m 0644 %SOURCE2 %buildroot/%nv_lib_dir/nvidia.xinf
+ln -s %nv_lib_dir/nvidia.xinf %buildroot/%nv_lib_sym_dir/nvidia.xinf
+ln -s %nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
+install -m 0644 %SOURCE2 %buildroot/%nv_lib_dir/nvidia.xinf
 
 if [ -f nvidia_drv.o ] ; then
-    %__install -m 0644 nvidia_drv.o  %buildroot/%nv_lib_dir/
+    install -m 0644 nvidia_drv.o  %buildroot/%nv_lib_dir/
 fi
 if [ -f nvidia_drv.so ] ; then
-    %__install -m 0644 nvidia_drv.so %buildroot/%nv_lib_dir/
+    install -m 0644 nvidia_drv.so %buildroot/%nv_lib_dir/
 fi
 
 %if_enabled package_wfb
 [ -f libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
-%__install -m 0644 libglx.so.%tbver %buildroot/%nv_lib_dir/libglx.so
-%__ln_s libglx.so %buildroot/%nv_lib_dir/libglx.a
+install -m 0644 libglx.so.%tbver %buildroot/%nv_lib_dir/libglx.so
+ln -s libglx.so %buildroot/%nv_lib_dir/libglx.a
 
-%__install -m 0644 libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
 %if_enabled egl
-%__install -m 0644 libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
-%__install -m 0644 libGLESv2.so.%tbver  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 libGLESv1_CM.so.%tbver  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 libGLESv2.so.%tbver  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 libGLESv1_CM.so.%tbver  %buildroot/%nv_lib_dir/libGLESv1_CM.so
 %endif
 
-%__install -m 0644 libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
-%__install -m 0644 libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__install -m 0644 kernel/.nv* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+install -m 0644 kernel/.nv* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 
